aboutsummaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'init.d')
-rw-r--r--init.d/net-online.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/init.d/net-online.in b/init.d/net-online.in
index b496e258..4f59cc14 100644
--- a/init.d/net-online.in
+++ b/init.d/net-online.in
@@ -23,7 +23,7 @@ get_interfaces()
{
local ifname iftype
for ifname in /sys/class/net/*; do
- [ -h "${ifname}" ] && continue
+ [ -h "${ifname}" ] || continue
read iftype < ${ifname}/type
[ "$iftype" = "1" ] && printf "%s " ${ifname##*/}
done